## acme-wrapper 0.3-rc1

=== Makefile ===
SHELL := /bin/bash
PACKAGE := acme-wrapper
VERSION := $(shell cat $(CURDIR)/VERSION)

all:
	@echo "done"

.PHONY: install
install:
	"$(CURDIR)/install/adduser.sh" "$(PACKAGE)"
	"$(CURDIR)/install/copyfiles.sh" "$(CURDIR)" "$(PACKAGE)"
	@echo
	@echo "recommended additional command:"
	@echo
	@echo "   make install-crontab"
	@echo
	@echo "recommended additional command on debian:"
	@echo
	@echo "   apt-get install coreutils curl openssl sed"
	@echo
	@echo "finally, the make the directory"
	@echo "   /var/opt/$(PACKAGE)/www"
	@echo "publicly accessible as"
	@echo "   http://«domain»/.well-known/acme-challenge"
	@echo "see the included example conf files."
	@echo

install-crontab:
	install -D -m 0400 "$(CURDIR)/example/crontab.example" "/etc/cron.d/$(PACKAGE)"

.PHONY: package
package:
	mkdir $(CURDIR)/$(PACKAGE)_$(VERSION)
	cp -pr -t $(CURDIR)/$(PACKAGE)_$(VERSION) bin/ doc/ etc/ example/ install/ lib/ libexec/ share/ var/ LICENSE Makefile README.rst TODO VERSION
	tar -C $(CURDIR) --numeric-owner -cjf $(PACKAGE)_$(VERSION).tar.bz2 $(PACKAGE)_$(VERSION)
	rm -Rf $(CURDIR)/$(PACKAGE)_$(VERSION)

## acme-wrapper 0.5

=== Makefile ===
--- 
+++ 
@@ -16,7 +16,7 @@
 	@echo
 	@echo "recommended additional command on debian:"
 	@echo
-	@echo "   apt-get install coreutils curl openssl sed"
+	@echo "   apt-get install coreutils curl openssl sed python"
 	@echo
 	@echo "finally, the make the directory"
 	@echo "   /var/opt/$(PACKAGE)/www"

## acme-wrapper 0.6.0

=== Makefile ===
SHELL := /bin/bash
PACKAGE := acme-wrapper
VERSION := $(shell cat $(CURDIR)/VERSION)
CURRENT_COMMIT_DATE := $(shell git show --format="%cI" --no-patch HEAD)

all:
	@echo "done"

.PHONY: install
install:
	"$(CURDIR)/install/adduser.sh" "$(PACKAGE)"
	"$(CURDIR)/install/copyfiles.sh" "$(CURDIR)" "$(PACKAGE)"
	@echo
	@echo "recommended additional command:"
	@echo
	@echo "   make install-crontab"
	@echo
	@echo "recommended additional command on debian:"
	@echo
	@echo "   apt-get install coreutils curl openssl sed python"
	@echo
	@echo "finally, make the (existing) directory"
	@echo "   /var/opt/$(PACKAGE)/www"
	@echo "publicly accessible as"
	@echo "   http://«domain»/.well-known/acme-challenge"
	@echo
	@echo "See the included example conf files."
	@echo

install-crontab:
	install -D -m 0400 "$(CURDIR)/example/crontab.example" "/etc/cron.d/$(PACKAGE)"

.PHONY: package
package: acme-wrapper_$(VERSION).tar.bz2

.PHONY: clean
clean:
	rm -f $(CURDIR)/$(PACKAGE)_$(VERSION).tar.bz2

acme-wrapper_$(VERSION).tar.bz2: clean
	mkdir $(CURDIR)/$(PACKAGE)_$(VERSION)
	cp -pr -t $(CURDIR)/$(PACKAGE)_$(VERSION) \
		bin/ doc/ etc/ example/ install/ lib/ libexec/ share/ var/ \
		LICENSE Makefile README.rst TODO VERSION
	# make tar file reproducible with the following options:
	#   sort, owner, group, numeric-owner, mtime
	tar -C $(CURDIR) --sort=name --owner=0 --group=0 --numeric-owner \
		--mtime "$(CURRENT_COMMIT_DATE)" \
		-cjf $(PACKAGE)_$(VERSION).tar.bz2 \
		$(PACKAGE)_$(VERSION)/
	rm -Rf $(CURDIR)/$(PACKAGE)_$(VERSION)

## acme-wrapper 0.10.3

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 SHELL := /bin/bash
 PACKAGE := acme-wrapper
 VERSION := $(shell cat $(CURDIR)/VERSION)
-CURRENT_COMMIT_DATE := $(shell git show --format="%cI" --no-patch HEAD)
+CURRENT_COMMIT_DATE = $(shell git show --format="%cI" --no-patch HEAD)
 
 all:
 	@echo "done"
@@ -49,3 +49,10 @@
 		-cjf $(PACKAGE)_$(VERSION).tar.bz2 \
 		$(PACKAGE)_$(VERSION)/
 	rm -Rf $(CURDIR)/$(PACKAGE)_$(VERSION)
+
+.PHONY: test
+test: test/acme-wrapper.tar.bz2
+	VERSION=$(VERSION) $(MAKE) --warn-undefined-variables -C test test
+
+test/acme-wrapper.tar.bz2: acme-wrapper_$(VERSION).tar.bz2
+	cp $< $@

## acme-wrapper 1.0.1

=== test/Makefile ===
SHELL := /bin/bash
MAKEFLAGS=--warn-undefined-variables
TESTS = $(wildcard *.entrypoint.sh)
TEST_DEPS = $(patsubst %.entrypoint.sh, %.result, $(TESTS))

.PHONY: test
test: $(TEST_DEPS)

packages-depends.list: extract-depends.py ../debian/control
	./extract-depends.py ../ > $@

packages-build-depends.list: extract-build-depends.py ../debian/control
	./extract-build-depends.py ../ > $@

%.result: \
	%.entrypoint.sh \
	Dockerfile-test \
	packages-depends.list \
	packages-build-depends.list \
	#
	docker build \
	    --progress=plain \
	    --file=Dockerfile-test \
	    --build-arg=VERSION=$(VERSION) \
	    --build-arg=TESTNAME=$* \
	    --tag=qyanu/$(PROJECT)-test/$*:$(VERSION) \
	    --tag=qyanu/$(PROJECT)-test/$*:latest \
	    ..
	docker run --rm=true \
		--network=none \
	    qyanu/$(PROJECT)-test/$*:$(VERSION)
	# TODO: Question from my current self to my past self:
	#   Shouldn't there be some comparison of expected to actual output of acme-wrapper?
	@touch $@

clean:
	rm -rf \
	    packages-depends.list \
	    packages-build-depends.list \
	    #

=== debian/changelog ===
acme-wrapper (1.0.1) UNRELEASED; urgency=medium

  * FIX: example acme-wrapper.conf has old default www dir

 -- Max-Julian Pogner <max-julian@pogner.at>  Tue, 17 Oct 2023 02:04:19 +0200

acme-wrapper (1.0.0) unstable; urgency=medium

  * Take debian/ packaging files thankfully prepared by Christian M.
    Amsüss <chrysn@fsfe.org> and convert the whole project into
    shipping a debian package.
  * Use Python 3.
  * acme-tiny no longer included, now depends on debian package 'acme-tiny'.
  * move from opt-package to debian-package directory layout.
  * FIX: debuild produces warning
    "dpkg-gencontrol: warning: Depends field of package acme-wrapper:
    substitution variable ${shlibs:Depends} used, but is not defined"
  * make test-suite such that is runs during deb build.

 -- Max-Julian Pogner <max-julian@pogner.at>  Sat, 14 Oct 2023 23:21:44 +0200

## acme-wrapper 1.0.2

=== debian/changelog ===
acme-wrapper (1.0.2) unstable; urgency=medium

  * FIX: purge fails with non-existant dir '/var/lib/acme-wrapper'
  * FIX: missing support for DPKG_ROOT in d/postrm

 -- Max-Julian Pogner <max-julian@pogner.at>  Mon, 03 Mar 2025 10:55:50 +0100

acme-wrapper (1.0.1) unstable; urgency=medium

  * FIX: example acme-wrapper.conf has old default www dir

 -- Max-Julian Pogner <max-julian@pogner.at>  Mon, 30 Sep 2024 21:54:36 +0200

## acme-wrapper 1.0.3

=== Makefile ===
SHELL := /bin/bash
MAKEFLAGS=--warn-undefined-variables
PROJECT := acme-wrapper
VERSION := $(shell dpkg-parsechangelog --show-field Version)

all:

install:
	install --verbose \
	    --directory \
	    $(DESTDIR)/usr/bin/ \
	    $(DESTDIR)/usr/lib/acme-wrapper/ \
	    $(DESTDIR)/etc/acme-wrapper/ \
	    #
	install --verbose \
	    --target-directory=$(DESTDIR)/usr/bin/ \
	    src/acme-wrapper \
	    #
	install --verbose \
	    --target-directory=$(DESTDIR)/etc/acme-wrapper/ \
	    --mode=0644 \
	    src/acme-wrapper.conf \
	    src/domains.list \
	    #
	install --verbose \
	    --target-directory=$(DESTDIR)/usr/lib/acme-wrapper/ \
	    --mode=0644 \
	    src/openssl.cnf \
	    #

.PHONY: test
test:
	PROJECT=$(PROJECT) \
	VERSION=$(VERSION) \
	$(MAKE) \
	    -C test \
	    test


clean:
	$(MAKE) -C test clean

=== test/Makefile ===
--- 
+++ 
@@ -12,6 +12,8 @@
 packages-build-depends.list: extract-build-depends.py ../debian/control
 	./extract-build-depends.py ../ > $@
 
+VERSION_DOCKER=$(subst +,_,$(VERSION))
+
 %.result: \
 	%.entrypoint.sh \
 	Dockerfile-test \
@@ -23,12 +25,12 @@
 	    --file=Dockerfile-test \
 	    --build-arg=VERSION=$(VERSION) \
 	    --build-arg=TESTNAME=$* \
-	    --tag=qyanu/$(PROJECT)-test/$*:$(VERSION) \
+	    --tag=qyanu/$(PROJECT)-test/$*:$(VERSION_DOCKER) \
 	    --tag=qyanu/$(PROJECT)-test/$*:latest \
 	    ..
 	docker run --rm=true \
 		--network=none \
-	    qyanu/$(PROJECT)-test/$*:$(VERSION)
+	    qyanu/$(PROJECT)-test/$*:$(VERSION_DOCKER)
 	# TODO: Question from my current self to my past self:
 	#   Shouldn't there be some comparison of expected to actual output of acme-wrapper?
 	@touch $@

=== debian/changelog ===
acme-wrapper (1.0.3) unstable; urgency=medium

  * FIX: docker tests cannot parse version with '+'

 -- Max-Julian Pogner <max-julian@pogner.at>  Mon, 03 Mar 2025 11:22:38 +0100

=== debian/control ===
Source: acme-wrapper
Maintainer: Max-Julian Pogner <max-julian@pogner.at>
Section: admin
Priority: optional
Build-Depends:
    debhelper-compat (= 13),
Standards-Version: 4.6.2
Rules-Requires-Root: no
Homepage: http://qyanu.net/software/acme-wrapper

Package: acme-wrapper
Architecture: all
Pre-Depends: ${misc:Pre-Depends}
Depends:
    ${misc:Depends},
    acme-tiny,
    adduser,
    curl,
    openssl,
    python3,
Recommends: apache2 | httpd
Description: wrapper for acme-tiny for administration of SSL certificates
 acme-wrapper is a program designed to reliably and automatically administer
 SSL certificates using the ACME protocol (as used by Let's Encrypt).
 .
 The package also contains configuration sniplets for cron and various web
 servers.
